CFMLSupportPlugin

Compatible with  IntelliJ IDEA
10.11.2010
12 609
NOTE: COLDFUSION PLUGIN IS NO LONGER HOSTED HERE!

Instead, it is included in IntelliJ IDEA distribution. Please download IntelliJ IDEA from the download page.

Feel free to ask questions in the forum or join the Google group. Bug reports are welcome in tracker.

Download plugin

Anonymous
09.05.2013
I'm guessing this was abaondoned.
14.03.2012
Kinda frustrated by the very slow progress on significant problems with the CFML plugin (particularly code reformatting) -- we understand that you have limited resources, and that we're a pretty small portion of your user base . . . but it sucks being treated that way, as you can imagine! :*)

It would be really great if you open-sourced the plugin, allowing our small-but-passionate community to take over the support it seems you just can't spare the time to give us.
Anonymous
04.03.2011
How do I reformat the code in .cfm files?
ctrl+alt+L is not working.
Anonymous
03.03.2011
I am already loving this plugin. please add support for things like go to declaration..etc.
Anonymous
09.12.2010
In case people don't know - there is a Wiki now with some nice documentation.

http://confluence.jetbrains.net/display/IDEADEV/ColdFusion+Plugin+for+IntelliJ+IDEA

(Should add a link to this page)

Mark Mandel
03.09.2010
Just a note about a couple points of confusion as of today, 9/3/2010... This plugin requires IntelliJ IDEA Ultimate Edition, and it should show up in the Plugin Manager, but does not always do so (or does not always show the latest version). Things are improving constantly, and at a good pace, so hopefully this will all be ironed out soon.

In any case, to install manually, simply download and unzip and place the /ColdFusion folder beneath your ~/.IntelliJIdea90/config/plugins/ directory (for IDEA 9.x). Restart IDEA and you should be set.

It's also important to note that currently version 3.53 is only compatible with the EAP release (IDEA X). Version 2.53 is the latest compatible with IDEA 9.0.3 as of 9/3/2010.

HTH!
Anonymous
02.08.2010
Is it possible or are there any plans to release this for WebStorm? WebStorm is so much nicer for JS and CSS than Adobe CFBuilder it would be great to have CFML.
Anonymous
12.07.2010
If you have any parser errors or delays, don't hesitate to post a bug report with code sample here http://youtrack.jetbrains.net/ or send it to me by email (valeriya.nikolaenko@jetbrains.com). As these kind of bugs are critical, most probably you'll get a fix in the next version. But it is essential to report them.

Considering function's references I've opened an issue here http://youtrack.jetbrains.net/issue/CFML-108. You may become a watcher and receive notifications on our progress or participate in discussions. Thanks for your interest in our product! And excuses for delay in approving your membership
11.07.2010
I'm very glad to see this happening. IDEA is such a wonderful IDE, and I'm so annoyed w eclipse.

Plugin is pretty good already, and i'm exstatic to have it, however:
- Detection of unreferenced vars isn't so sophisticated; functions declared later on the page or in includes cause warnings that they can't be resolved.
- Has problems with some oddball cfml I have; parsing fails, no functions show in structure view, and IDEA seems to be working hard reparsing.
- A tool (keyboard shortcut) to find matching start/end tag would be a great everyday enhancement.

I had some trouble getting started, due to IDEA's java-centric directory discovery, but got past that. Would have loved to talk about some of this, and maybe provide some advanced scouting for others, but my membership in the google group still hasn't been approved.

Well worth a try,
Anonymous
24.06.2010
I agree with the other Anonymous - this plugin is listed with the Community Edition ones:
http://plugins.jetbrains.com/plugin/?idea_ce&id=3571

Ultimate edition link:
http://plugins.jetbrains.com/plugin/?idea&id=3571

It really needs to be made more clear that this can't be installed on the Community Edition one.
Anonymous
09.06.2010
why the hell that is not marked in here? I have donwloaded the IDEA only for this plugin :/

09.06.2010
There is no way you can install plugin on community edition. It is available for IDEA Ultimate only
Anonymous
09.06.2010
Ho can I install this plugin on 9.0.2 COmmunity edition?
25.03.2010
A big +1 vote from me for the Google Group idea by Mark! It would be very nice to see more of a community grow around this. I too am a big proponent of this plugin's growth, as I'm a Linux desktop user as well, and this is by far the best option for anyone interested in CFML development along with Flex, Groovy or Java.
Please  sign in  to leave a comment.